{
  "providerId": "MethodSelfcallDirectives",
  "method": "Lorg/eclipse/uml2/uml/internal/impl/StateMachineImpl.eGet(IZZ)Ljava/lang/Object;",
  "numberOfDefinitions": 1,
  "calls": {
    "Lorg/eclipse/uml2/uml/internal/impl/StateMachineImpl.getSubmachineStates()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getClientDependencies()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.isFinalSpecialization()Z": 1,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eDynamicGet(IZZ)Ljava/lang/Object;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/BehaviorImpl.getOwnedRules()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassImpl.getOwnedBehaviors()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/BehaviorImpl.getRedefinitionContexts()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/BehaviorImpl.getOwnedParameters()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getRedefinedElements()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassImpl.basicGetClassifierBehavior()Lorg/eclipse/uml2/uml/Behavior;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getTemplateParameter()Lorg/eclipse/uml2/uml/TemplateParameter;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StateMachineImpl.getConnectionPoints()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getOwner()Lorg/eclipse/uml2/uml/Element;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuredClassifierImpl.getParts()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassImpl.getFeatures()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getCollaborationUses()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eResource()Lorg/eclipse/emf/ecore/resource/Resource;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getOwnedTemplateSignature()Lorg/eclipse/uml2/uml/TemplateSignature;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassImpl.getNestedClassifiers()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.basicGetPackage()Lorg/eclipse/uml2/uml/Package;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassImpl.getClassifierBehavior()Lorg/eclipse/uml2/uml/Behavior;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getUseCases()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.basicGetOwnedTemplateSignature()Lorg/eclipse/uml2/uml/TemplateSignature;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/BehaviorImpl.getSpecification()Lorg/eclipse/uml2/uml/BehavioralFeature;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassImpl.getOwnedReceptions()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getVisibility()Lorg/eclipse/uml2/uml/VisibilityKind;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.basicGetOwner()Lorg/eclipse/uml2/uml/Element;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getPackage()Lorg/eclipse/uml2/uml/Package;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getNameExpression()Lorg/eclipse/uml2/uml/StringExpression;": 1,
    "Lorg/eclipse/uml2/common/util/CacheAdapter.get(Lorg/eclipse/emf/ecore/resource/Resource;Lorg/eclipse/emf/ecore/EObject;Ljava/lang/Object;)Ljava/lang/Object;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/BehaviorImpl.getPreconditions()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassImpl.getExtensions()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.basicGetTemplateParameter()Lorg/eclipse/uml2/uml/TemplateParameter;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.getImportedMembers()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassImpl.getInterfaceRealizations()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/EncapsulatedClassifierImpl.getOwnedPorts()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getGeneralizations()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.getElementImports()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getRepresentation()Lorg/eclipse/uml2/uml/CollaborationUse;": 1,
    "Lorg/eclipse/emf/ecore/impl/EModelElementImpl.getEAnnotations()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getOwnedUseCases()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuredClassifierImpl.getMembers()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StateMachineImpl.getRedefinedBehaviors()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getPowertypeExtents()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassImpl.getGenerals()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamespaceImpl.getPackageImports()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/common/util/CacheAdapter.put(Lorg/eclipse/emf/ecore/resource/Resource;Lorg/eclipse/emf/ecore/EObject;Ljava/lang/Object;Ljava/lang/Object;)Ljava/lang/Object;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getOwningTemplateParameter()Lorg/eclipse/uml2/uml/TemplateParameter;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.basicGetNamespace()Lorg/eclipse/uml2/uml/Namespace;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassImpl.getSuperClasses()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getTemplateBindings()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassImpl.isActive()Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/BehaviorImpl.getOwnedParameterSets()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/BehaviorImpl.basicGetContext()Lorg/eclipse/uml2/uml/BehavioredClassifier;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.basicGetRepresentation()Lorg/eclipse/uml2/uml/CollaborationUse;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StateMachineImpl.getOwnedMembers()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassImpl.getOwnedAttributes()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getNamespace()Lorg/eclipse/uml2/uml/Namespace;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getSubstitutions()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/BehaviorImpl.getPostconditions()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/emf/ecore/util/EObjectContainmentWithInverseEList$Resolving.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;II)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassImpl.getAttributes()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/common/util/DerivedUnionEObjectEList.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;I[I)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuredClassifierImpl.getRoles()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.basicGetNameExpression()Lorg/eclipse/uml2/uml/StringExpression;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/BehaviorImpl.getContext()Lorg/eclipse/uml2/uml/BehavioredClassifier;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.isLeaf()Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getCacheAdapter()Lorg/eclipse/uml2/common/util/CacheAdapter;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StateMachineImpl.getRegions()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuredClassifierImpl.getOwnedConnectors()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.getInheritedMembers()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/BehaviorImpl.getRedefinedClassifiers()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassImpl.getOwnedOperations()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StateMachineImpl.getExtendedStateMachines()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getOwnedComments()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassImpl.isAbstract()Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ClassifierImpl.basicGetOwningTemplateParameter()Lorg/eclipse/uml2/uml/TemplateParameter;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/BehaviorImpl.isReentrant()Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/BehaviorImpl.basicGetSpecification()Lorg/eclipse/uml2/uml/BehavioralFeature;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getQualifiedName()Ljava/lang/String;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getName()Ljava/lang/String;": 1
  }
}